Debian Bug report logs - #510657
sugar: /etc/dbus-1/system.d file needs alterations for fd.o #18961

version graph

Package: sugar; Maintainer for sugar is (unknown);

Reported by: Simon McVittie <smcv@debian.org>

Date: Sun, 4 Jan 2009 02:30:02 UTC

Severity: normal

Found in version sugar/0.82.8-3

Fixed in version sugar/0.82.8-4

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>:
Bug#510657; Package sugar. (Sun, 04 Jan 2009 02:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
New Bug report received and forwarded. Copy sent to Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>. (Sun, 04 Jan 2009 02:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sugar: /etc/dbus-1/system.d file needs alterations for fd.o #18961
Date: Sun, 4 Jan 2009 02:25:12 +0000
[Message part 1 (text/plain, inline)]
Package: sugar
Version: 0.82.8-3
Severity: normal
User: pkg-utopia-maintainers@lists.alioth.debian.org
Usertags: fdo-18961

sugar's D-Bus system.d config should be updated to fix
non-deterministic allow/deny for messages with no interface; the D-Bus
upstream recommendation seems to be that every allow or deny rule with
send_interface="..." should have a suitable send_destination attribute too.

In this case, this would make them redundant with the lines matching
send_destination="org.freedesktop.NetworkManagerInfo", so they can
just be removed (see the patch for dnsmasq on the bug linked below).

http://bugs.freedesktop.org/show_bug.cgi?id=18961 is the D-Bus bug tracking
this; there have also been discussions on the D-Bus mailing list.

Regards from the Cambridge BSP,
    Simon
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>:
Bug#510657; Package sugar. (Sun, 04 Jan 2009 03:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>. (Sun, 04 Jan 2009 03:15:02 GMT) Full text and rfc822 format available.

Message #10 received at 510657@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Simon McVittie <smcv@debian.org>, 510657@bugs.debian.org
Subject: Re: [Debian-olpc-devel] Bug#510657: sugar: /etc/dbus-1/system.d file needs alterations for fd.o #18961
Date: Sun, 4 Jan 2009 04:12:08 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Sun, Jan 04, 2009 at 02:25:12AM +0000, Simon McVittie wrote:
>sugar's D-Bus system.d config should be updated to fix 
>non-deterministic allow/deny for messages with no interface; the D-Bus 
>upstream recommendation seems to be that every allow or deny rule with 
>send_interface="..." should have a suitable send_destination attribute 
>too.
>
>In this case, this would make them redundant with the lines matching
>send_destination="org.freedesktop.NetworkManagerInfo", so they can
>just be removed (see the patch for dnsmasq on the bug linked below).
>
>http://bugs.freedesktop.org/show_bug.cgi?id=18961 is the D-Bus bug 
>tracking this; there have also been discussions on the D-Bus mailing 
>list.

Thanks for your bugreport!

Ok, I read the fd.org bugreport. But I fail to understand what is wrong 
and should be fixed with /etc/dbus-1/system.d/NetworkManagerInfo.conf - 
it seems to me that all entries contain both send_interface and 
send_destination as described in that bugreport.

Could you perhaps provide a patch, or elaborate a bit?


>Regards from the Cambridge BSP,

See you there in a week :-)


  - Jonas


- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

  [x] quote me freely  [ ] ask before reusing  [ ] keep private
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklgKQgACgkQn7DbMsAkQLgalwCfUb+2h7fgpmKyPt3D6d6wki0L
LccAoKKEkZEGtKdJrtUz2Nt/IjEu9sJi
=YaJl
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>:
Bug#510657; Package sugar. (Sun, 04 Jan 2009 15:04:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>. (Sun, 04 Jan 2009 15:04:57 GMT) Full text and rfc822 format available.

Message #15 received at 510657@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 510657@bugs.debian.org
Subject: Re: [Debian-olpc-devel] Bug#510657: sugar: /etc/dbus-1/system.d file needs alterations for fd.o #18961
Date: Sun, 4 Jan 2009 14:57:48 +0000
[Message part 1 (text/plain, inline)]
On Sun, 04 Jan 2009 at 04:12:08 +0100, Jonas Smedegaard wrote:
> Ok, I read the fd.org bugreport. But I fail to understand what is wrong 
> and should be fixed with /etc/dbus-1/system.d/NetworkManagerInfo.conf - 
> it seems to me that all entries contain both send_interface and 
> send_destination as described in that bugreport.

<allow send_foo="a"/> <allow send_bar="b"/> allows anything where
foo=a *or* bar=b.

<allow send_foo="a" send_bar="b"/> allows anything where foo=a *and* bar=b.

What you want is either:

<allow send_interface="org.freedesktop.NetworkManagerInfo"
  send_destination="org.freedesktop.NetworkManagerInfo"/>

or simply:

<allow send_destination="org.freedesktop.NetworkManagerInfo"/>

In practice the latter is likely to be more appropriate - if you add
more interfaces to the NMI service later, you'll probably want them to
have the same access control as the base NMI interface.

Regards,
    Simon
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>:
Bug#510657; Package sugar. (Sun, 04 Jan 2009 16:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>. (Sun, 04 Jan 2009 16:09:09 GMT) Full text and rfc822 format available.

Message #20 received at 510657@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Simon McVittie <smcv@debian.org>, 510657@bugs.debian.org
Subject: Re: [Debian-olpc-devel] Bug#510657: Bug#510657: sugar: /etc/dbus-1/system.d file needs alterations for fd.o #18961
Date: Sun, 4 Jan 2009 17:05:56 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Sun, Jan 04, 2009 at 02:57:48PM +0000, Simon McVittie wrote:
>On Sun, 04 Jan 2009 at 04:12:08 +0100, Jonas Smedegaard wrote:
>> Ok, I read the fd.org bugreport. But I fail to understand what is 
>> wrong and should be fixed with 
>> /etc/dbus-1/system.d/NetworkManagerInfo.conf - it seems to me that 
>> all entries contain both send_interface and send_destination as 
>> described in that bugreport.
>
><allow send_foo="a"/> <allow send_bar="b"/> allows anything where
>foo=a *or* bar=b.
>
><allow send_foo="a" send_bar="b"/> allows anything where foo=a *and* bar=b.

I recognize none of above patterns in the sugar package.


>What you want is either:
>
><allow send_interface="org.freedesktop.NetworkManagerInfo"
>  send_destination="org.freedesktop.NetworkManagerInfo"/>

Isn't this exactly what is done at the moment?


>or simply:
>
><allow send_destination="org.freedesktop.NetworkManagerInfo"/>
>
>In practice the latter is likely to be more appropriate - if you add
>more interfaces to the NMI service later, you'll probably want them to
>have the same access control as the base NMI interface.

Sorry for being so thick-headed, but I still fail to understand what in 
particular is wrong with the configuration file provided by the sugar 
package.


Could you please provide a patch?

I do not mean that I want you to take responsibility for the complete 
changes to the package, just to point out more specifically what kind of 
change you imagine might work: Alternatively you could provide an 
alternative configuration file for me to look at (and pass upstream to 
the Sugar developers).


Kind regards,

  - Jonas

- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

  [x] quote me freely  [ ] ask before reusing  [ ] keep private
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklg3mQACgkQn7DbMsAkQLh5JwCfWd1N7natvEmCkEKLwdvdYU4W
1JcAnR2rb/udKh8Qlh71wgoSpEyNV0Fw
=ocYc
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>:
Bug#510657; Package sugar. (Sun, 04 Jan 2009 19:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>. (Sun, 04 Jan 2009 19:27:02 GMT) Full text and rfc822 format available.

Message #25 received at 510657@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 510657@bugs.debian.org
Subject: Re: Bug#510657: sugar: /etc/dbus-1/system.d file needs alterations for fd.o #18961
Date: Sun, 4 Jan 2009 19:24:09 +0000
[Message part 1 (text/plain, inline)]
On Sun, 04 Jan 2009 at 17:05:56 +0100, Jonas Smedegaard wrote:
> On Sun, Jan 04, 2009 at 02:57:48PM +0000, Simon McVittie wrote:
> >On Sun, 04 Jan 2009 at 04:12:08 +0100, Jonas Smedegaard wrote:
> >> Ok, I read the fd.org bugreport. But I fail to understand what is 
> >> wrong and should be fixed with 
> >> /etc/dbus-1/system.d/NetworkManagerInfo.conf - it seems to me that 
> >> all entries contain both send_interface and send_destination as 
> >> described in that bugreport.
> >
> ><allow send_foo="a"/> <allow send_bar="b"/> allows anything where
> >foo=a *or* bar=b.
> >
> ><allow send_foo="a" send_bar="b"/> allows anything where foo=a *and* bar=b.
> 
> I recognize none of above patterns in the sugar package.

On a lenny system with sugar freshly installed, I get the former pattern
with foo=destination, bar=interface, a=b=org.freedesktop.NetworkManagerInfo:

% cat /etc/dbus-1/system.d/NetworkManagerInfo.conf
...
	<policy user="root">
		<allow own="org.freedesktop.NetworkManagerInfo"/>

		<allow send_destination="org.freedesktop.NetworkManagerInfo"/>
                <allow send_interface="org.freedesktop.NetworkManagerInfo"/>
	</policy>
...
% dpkg -S /etc/dbus-1/system.d/NetworkManagerInfo.conf
sugar: /etc/dbus-1/system.d/NetworkManagerInfo.conf
% dpkg -s sugar | grep '^Version'
Version: 0.81.4-1

Each <policy> should probably look more like this:

        <policy user="root">
                <allow own="org.freedesktop.NetworkManagerInfo"/>
                <allow send_destination="org.freedesktop.NetworkManagerInfo"/>
        </policy>

or equivalently but with unnecessary verbosity, this:

        <policy user="root">
                <allow own="org.freedesktop.NetworkManagerInfo"/>
                <allow send_destination="org.freedesktop.NetworkManagerInfo"/>
		<allow send_destination="org.freedesktop.NetworkManagerInfo"
                       send_interface="org.freedesktop.NetworkManagerInfo"/>
        </policy>

I've uploaded a (source + i386) version of dbus targeted for lenny
to <http://people.debian.org/~smcv/dbus-cve-2008-4311/> - amd64 binaries to
follow soon. Please try out sugar's NetworkManager integration with that
version and make sure it can still work.

    Simon
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>:
Bug#510657; Package sugar. (Sun, 04 Jan 2009 20:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>. (Sun, 04 Jan 2009 20:03:02 GMT) Full text and rfc822 format available.

Message #30 received at 510657@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Simon McVittie <smcv@debian.org>, 510657@bugs.debian.org
Subject: Re: [Debian-olpc-devel] Bug#510657: sugar: /etc/dbus-1/system.d file needs alterations for fd.o #18961
Date: Sun, 4 Jan 2009 21:01:12 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Sun, Jan 04, 2009 at 07:24:09PM +0000, Simon McVittie wrote:
>On Sun, 04 Jan 2009 at 17:05:56 +0100, Jonas Smedegaard wrote:
>> On Sun, Jan 04, 2009 at 02:57:48PM +0000, Simon McVittie wrote:
>> >On Sun, 04 Jan 2009 at 04:12:08 +0100, Jonas Smedegaard wrote:
>> >> Ok, I read the fd.org bugreport. But I fail to understand what is 
>> >> wrong and should be fixed with 
>> >> /etc/dbus-1/system.d/NetworkManagerInfo.conf - it seems to me that 
>> >> all entries contain both send_interface and send_destination as 
>> >> described in that bugreport.
>> >
>> ><allow send_foo="a"/> <allow send_bar="b"/> allows anything where
>> >foo=a *or* bar=b.
>> >
>> ><allow send_foo="a" send_bar="b"/> allows anything where foo=a *and* bar=b.
>> 
>> I recognize none of above patterns in the sugar package.
>
>On a lenny system with sugar freshly installed, I get the former pattern
>with foo=destination, bar=interface, a=b=org.freedesktop.NetworkManagerInfo:

Ahhh, I see it now. Stupid me :-P


>Each <policy> should probably look more like this:
>
>        <policy user="root">
>                <allow own="org.freedesktop.NetworkManagerInfo"/>
>                <allow send_destination="org.freedesktop.NetworkManagerInfo"/>
>        </policy>

Right. I get it now. Nothing wrong with your earlier explanations 
either, my mind simply blocked somehow.


>I've uploaded a (source + i386) version of dbus targeted for lenny
>to <http://people.debian.org/~smcv/dbus-cve-2008-4311/> - amd64 binaries to
>follow soon. Please try out sugar's NetworkManager integration with that
>version and make sure it can still work.

Does that mean that I should not simply upload a fixed release to 
unstable, but wait and depend on that newer release of dbus?

Or (looking at the changelog entry now) does it perhaps mean that my 
change will work both now and (hopefully) with your new release of dbus, 
but that my old sugar version will _not_ work with newer dbus?


  - Jonas

- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

  [x] quote me freely  [ ] ask before reusing  [ ] keep private
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklhFYgACgkQn7DbMsAkQLh7EgCdENf/q8zkLEC2QL1Qsim4pzVi
Vv0AnRHjWtmoHkQT75alk3kbQCkkdygW
=/DUv
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>:
Bug#510657; Package sugar. (Sun, 04 Jan 2009 22:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>. (Sun, 04 Jan 2009 22:54:05 GMT) Full text and rfc822 format available.

Message #35 received at 510657@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 510657@bugs.debian.org
Subject: Re: [Debian-olpc-devel] Bug#510657: sugar: /etc/dbus-1/system.d file needs alterations for fd.o #18961
Date: Sun, 4 Jan 2009 22:49:18 +0000
[Message part 1 (text/plain, inline)]
On Sun, 04 Jan 2009 at 21:01:12 +0100, Jonas Smedegaard wrote:
> Does that mean that I should not simply upload a fixed release to 
> unstable, but wait and depend on that newer release of dbus?
> 
> Or (looking at the changelog entry now) does it perhaps mean that my 
> change will work both now and (hopefully) with your new release of dbus, 
> but that my old sugar version will _not_ work with newer dbus?

I've tested lenny's sugar package with the D-Bus that's targeting lenny,
and it does work, so this bug obviously isn't particularly critical (in
particular, this bug doesn't block #503532 and is hence not RC for lenny).

I believe that all four combinations of (buggy, fixed) sugar and
(old, new) D-Bus should work in practice, so you shouldn't need to
introduce any versioned dependencies.

    Simon
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>:
Bug#510657; Package sugar. (Mon, 05 Jan 2009 12:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>. (Mon, 05 Jan 2009 12:18:06 GMT) Full text and rfc822 format available.

Message #40 received at 510657@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Simon McVittie <smcv@debian.org>, 510657@bugs.debian.org
Subject: Re: [Debian-olpc-devel] Bug#510657: Bug#510657: sugar: /etc/dbus-1/system.d file needs alterations for fd.o #18961
Date: Mon, 5 Jan 2009 13:10:56 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Sun, Jan 04, 2009 at 10:49:18PM +0000, Simon McVittie wrote:
>On Sun, 04 Jan 2009 at 21:01:12 +0100, Jonas Smedegaard wrote:
>> Does that mean that I should not simply upload a fixed release to 
>> unstable, but wait and depend on that newer release of dbus?
>> 
>> Or (looking at the changelog entry now) does it perhaps mean that my 
>> change will work both now and (hopefully) with your new release of dbus, 
>> but that my old sugar version will _not_ work with newer dbus?
>
>I've tested lenny's sugar package with the D-Bus that's targeting lenny,
>and it does work, so this bug obviously isn't particularly critical (in
>particular, this bug doesn't block #503532 and is hence not RC for lenny).
>
>I believe that all four combinations of (buggy, fixed) sugar and
>(old, new) D-Bus should work in practice, so you shouldn't need to
>introduce any versioned dependencies.

Excellent. Thanks for clarifying.


  - jonas


- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

  [x] quote me freely  [ ] ask before reusing  [ ] keep private
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklh+NAACgkQn7DbMsAkQLiIgwCeLUi9YaXzJJ0uesdtUPWqKT1c
zSUAoJF8vOgtClMFtU2dTiNQ0LbagQqI
=3Cpb
-----END PGP SIGNATURE-----




Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Thu, 15 Jan 2009 21:39:02 GMT) Full text and rfc822 format available.

Notification sent to Simon McVittie <smcv@debian.org>:
Bug acknowledged by developer. (Thu, 15 Jan 2009 21:39:02 GMT) Full text and rfc822 format available.

Message #45 received at 510657-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 510657-close@bugs.debian.org
Subject: Bug#510657: fixed in sugar 0.82.8-4
Date: Thu, 15 Jan 2009 21:32:05 +0000
Source: sugar
Source-Version: 0.82.8-4

We believe that the bug you reported is fixed in the latest version of
sugar, which is due to be installed in the Debian FTP archive:

sugar_0.82.8-4.diff.gz
  to pool/main/s/sugar/sugar_0.82.8-4.diff.gz
sugar_0.82.8-4.dsc
  to pool/main/s/sugar/sugar_0.82.8-4.dsc
sugar_0.82.8-4_all.deb
  to pool/main/s/sugar/sugar_0.82.8-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510657@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated sugar package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 04 Jan 2009 21:20:18 +0100
Source: sugar
Binary: sugar
Architecture: source all
Version: 0.82.8-4
Distribution: unstable
Urgency: high
Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 sugar      - window manager from the OLPC project
Closes: 510657
Changes: 
 sugar (0.82.8-4) unstable; urgency=high
 .
   * Drop send_interface dbus hints. Closes:bug#510657, thanks to Simon
     McVittie.
   * Set urgency=high as is related to security bugs #503532 and #508032.
Checksums-Sha1: 
 9cbed5c106c6a81ea3f77c5fe80a3575e4505c8c 1417 sugar_0.82.8-4.dsc
 9af5b855ea40fb505ef278a911cb129bbecf1c27 25210 sugar_0.82.8-4.diff.gz
 f673365930946514cc671ee826d48b757e05e4c3 240002 sugar_0.82.8-4_all.deb
Checksums-Sha256: 
 b165f9d8c689810b246be2dc0799db4832da71f4617ebc2f3c7e5c6c38e74aa2 1417 sugar_0.82.8-4.dsc
 917ca7ba9ea0045e7565cf60b94099132dfe23c85b5c64d1a71afa9bc7d964b2 25210 sugar_0.82.8-4.diff.gz
 22b4d02afde6a728738adca52aa72bb893c2c338fee889ecbbcedceb6ba18973 240002 sugar_0.82.8-4_all.deb
Files: 
 1d18f917686e9dbd275d39ac6b72e2fa 1417 x11 optional sugar_0.82.8-4.dsc
 ac2ee1e2dd8e0e30f0fc2300b440bea3 25210 x11 optional sugar_0.82.8-4.diff.gz
 b26678d2cfd8e555ff7c5e8154b1fe9c 240002 x11 optional sugar_0.82.8-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklvqVIACgkQn7DbMsAkQLh3awCeMn4uDHJi+++SDK88oRircTJu
/ZAAmgPbWRHBIijEhHY53qRccbT0bzdv
=8qj3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Feb 2009 07:30:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:14:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.